/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package perpus;

import perpus.databuku;
import perpus.koneksi;
import com.mysql.jdbc.Statement;
import java.io.File;
import java.util.HashMap;
import java.util.Map;
import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import javax.swing.Timer;
import com.mysql.jdbc.Connection;
import com.mysql.jdbc.Statement;
import java.awt.Dimension;
import java.awt.HeadlessException;
import java.awt.Toolkit;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.SQLException;
import javax.swing.JOptionPane;
import javax.swing.table.DefaultTableModel;
import net.sf.jasperreports.engine.JasperCompileManager;
import net.sf.jasperreports.engine.xml.JRXmlLoader;
import net.sf.jasperreports.view.JasperViewer;
import net.sf.jasperreports.engine.JasperCompileManager;
import net.sf.jasperreports.engine.JasperFillManager;
import net.sf.jasperreports.engine.JasperPrint;
import net.sf.jasperreports.engine.JasperReport;
import net.sf.jasperreports.engine.design.JasperDesign;
import net.sf.jasperreports.engine.xml.JRXmlLoader;
import net.sf.jasperreports.view.JasperViewer;


/**
 *
 * @author Asus
 */
public class laporandataanggota extends javax.swing.JFrame {
JasperReport jasperReport1;
    JasperDesign jasperDesign1;
    JasperPrint jasperPrint1;
private Connection con;
private Statement stat;
private ResultSet res;
private String t;
private DefaultTableModel tabmode;
private JasperDesign jasperDesign;
private JasperReport jasperReport;
private JasperPrint jasperPrint;
private final Map<String, Object> param = new HashMap<>();
private PreparedStatement pst;
private Object sdf;
private Object tableTampil1;
    private Map<String, Object> koneksi;
    private Object txtNIS;
    

private void koneksi(){
try {
Class.forName("com.mysql.jdbc.Driver");
con=(Connection) DriverManager.getConnection("jdbc:mysql://localhost/db_perpustakaan", "root", "");
stat=(Statement) con.createStatement();
} catch (ClassNotFoundException | SQLException e) {
JOptionPane.showMessageDialog(null, e);
}
}


    /**
     * Creates new form Pembeli
     */
    public laporandataanggota() {
        initComponents();
        koneksi();
        tabel();
        
        Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
        Dimension frameSize = getSize();
        setLocation(
        (screenSize.width - frameSize.width) / 2,
        (screenSize.height - frameSize.height) / 2);
    }

private void tabel(){ 
DefaultTableModel t= new DefaultTableModel(); 
 t.addColumn("Nomor Anggota"); 
 t.addColumn("Nis");
 t.addColumn("Nama");
 t.addColumn("Jenis Kelamin");
 t.addColumn("Alamat");
 t.addColumn("Nomor Telepon");
 tblagt.setModel(t); try{ res=stat.executeQuery("select * from data_anggota"); 
 while (res.next()) { 
 t.addRow(new Object[]{    
  res.getString("no_anggota"),
  res.getString("nis"),
  res.getString("nama"),
  res.getString("jenis"),
  res.getString("alamat"),
 res.getString("notlp") 
 }); 
 }
 }catch (Exception e) { 
 JOptionPane.showMessageDialog(rootPane, e); 
 } 
}


    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jScrollPane1 = new javax.swing.JScrollPane();
        jTable1 = new javax.swing.JTable();
        jPanel1 = new javax.swing.JPanel();
        jScrollPane2 = new javax.swing.JScrollPane();
        tblagt = new javax.swing.JTable();
        nis = new javax.swing.JRadioButton();
        semua = new javax.swing.JRadioButton();
        cetak = new javax.swing.JButton();
        no_anggota = new javax.swing.JTextField();
        cari = new javax.swing.JTextField();
        jButton1 = new javax.swing.JButton();
        jLabel1 = new javax.swing.JLabel();
        kembali = new javax.swing.JButton();
        jLabel3 = new javax.swing.JLabel();

        jTable1.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null}
            },
            new String [] {
                "Title 1", "Title 2", "Title 3", "Title 4"
            }
        ));
        jScrollPane1.setViewportView(jTable1);

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setBackground(new java.awt.Color(0, 204, 204));

        jPanel1.setBackground(new java.awt.Color(255, 255, 255));
        jPanel1.setForeground(new java.awt.Color(0, 20, 0));
        jPanel1.setMaximumSize(new java.awt.Dimension(1000, 667));
        jPanel1.setMinimumSize(new java.awt.Dimension(1000, 667));
        jPanel1.setPreferredSize(new java.awt.Dimension(1000, 667));
        jPanel1.setLayout(new org.netbeans.lib.awtextra.AbsoluteLayout());

        tblagt.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null}
            },
            new String [] {
                "Title 1", "Title 2", "Title 3", "Title 4"
            }
        ));
        tblagt.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                tblagtMouseClicked(evt);
            }
        });
        jScrollPane2.setViewportView(tblagt);

        jPanel1.add(jScrollPane2, new org.netbeans.lib.awtextra.AbsoluteConstraints(100, 410, 712, 90));

        nis.setBackground(new java.awt.Color(255, 255, 255));
        nis.setBorder(null);
        jPanel1.add(nis, new org.netbeans.lib.awtextra.AbsoluteConstraints(190, 230, 20, -1));

        semua.setBackground(new java.awt.Color(255, 255, 255));
        semua.setBorder(null);
        jPanel1.add(semua, new org.netbeans.lib.awtextra.AbsoluteConstraints(190, 150, 30, -1));

        cetak.setBorder(null);
        cetak.setContentAreaFilled(false);
        cetak.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cetakActionPerformed(evt);
            }
        });
        jPanel1.add(cetak, new org.netbeans.lib.awtextra.AbsoluteConstraints(580, 270, 210, 60));
        jPanel1.add(no_anggota, new org.netbeans.lib.awtextra.AbsoluteConstraints(360, 230, 120, -1));
        jPanel1.add(cari, new org.netbeans.lib.awtextra.AbsoluteConstraints(100, 370, 170, 30));

        jButton1.setContentAreaFilled(false);
        jButton1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton1ActionPerformed(evt);
            }
        });
        jPanel1.add(jButton1, new org.netbeans.lib.awtextra.AbsoluteConstraints(300, 370, 60, 30));
        jPanel1.add(jLabel1, new org.netbeans.lib.awtextra.AbsoluteConstraints(300, 370, -1, -1));

        kembali.setContentAreaFilled(false);
        kembali.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                kembaliMouseClicked(evt);
            }
        });
        kembali.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                kembaliActionPerformed(evt);
            }
        });
        jPanel1.add(kembali, new org.netbeans.lib.awtextra.AbsoluteConstraints(580, 343, 110, 40));

        jLabel3.setIcon(new javax.swing.ImageIcon(getClass().getResource("/image/laporananggota.jpg"))); // NOI18N
        jPanel1.add(jLabel3, new org.netbeans.lib.awtextra.AbsoluteConstraints(0, 0, -1, -1));

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jPanel1, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addComponent(jPanel1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(0, 0, Short.MAX_VALUE))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void cetakActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cetakActionPerformed
if(semua.isSelected()){
 try{

            File file = new File("src/laporan/LaporanAnggota.jrxml");
            jasperDesign1 = JRXmlLoader.load(file);
            jasperReport1 = JasperCompileManager.compileReport(jasperDesign1);

            jasperPrint1 = JasperFillManager.fillReport(jasperReport1, param,method.koneksi.getKoneksi());

            JasperViewer.viewReport(jasperPrint1,false);
        } catch (Exception e) {
            e.printStackTrace();
        }   
}else if(nis.isSelected()){
 try{

            File file = new File("src/laporan/LaporanAnggotaNIS.jrxml");
            jasperDesign1 = JRXmlLoader.load(file);
            jasperReport1 = JasperCompileManager.compileReport(jasperDesign1);
            param.put("no_anggota",no_anggota.getText().toString());
            
            jasperPrint1 = JasperFillManager.fillReport(jasperReport1, param,method.koneksi.getKoneksi());

            JasperViewer.viewReport(jasperPrint1,false);
        } catch (Exception e) {
            e.printStackTrace();
        }   
}
    }//GEN-LAST:event_cetakActionPerformed

    private void tblagtMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_tblagtMouseClicked
int baris = tblagt.getSelectedRow();    
no_anggota.setText(tblagt.getValueAt(baris,0).toString());
   
// TODO add your handling code here:
    }//GEN-LAST:event_tblagtMouseClicked

    private void jButton1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton1ActionPerformed
    DefaultTableModel tabelTampil1 = new DefaultTableModel();


        
        tabelTampil1.addColumn("No Anggota"); 
        tabelTampil1.addColumn("NIS"); 
        tabelTampil1.addColumn("Nama");
        tabelTampil1.addColumn("Jenis Kelamin");
        tabelTampil1.addColumn("Alamat");
        tabelTampil1.addColumn("No Telepon");
       
        try{
            koneksi();
            String sql = "Select * from data_anggota where no_anggota like '%" + cari.getText() + "%'" + "or nama like '%" + cari.getText() + "%'";
            pst = con.prepareStatement(sql);
            res = pst.executeQuery();
            while (res.next()) {
                tabelTampil1.addRow(new Object[]{
                    res.getString(1),
                    res.getString(2),
                    res.getString(3),
                    res.getString(4),
                    res.getString(5),
                    res.getString(6),
                    
                });
            }
            tblagt.setModel(tabelTampil1);

        }catch (Exception e){       
    }//GEN-LAST:event_jButton1ActionPerformed
    }
    private void kembaliMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_kembaliMouseClicked
    //new menu_utama().setVisible(true);
           // TODO add your handling code here:
    }//GEN-LAST:event_kembaliMouseClicked

    private void kembaliActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_kembaliActionPerformed
       new menu_utama().setVisible(true);// TODO add your handling code here
        dispose();
    }//GEN-LAST:event_kembaliActionPerformed
    
    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(laporandataanggota.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(laporandataanggota.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(laporandataanggota.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(laporandataanggota.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new laporandataanggota().setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JTextField cari;
    private javax.swing.JButton cetak;
    private javax.swing.JButton jButton1;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JScrollPane jScrollPane2;
    private javax.swing.JTable jTable1;
    private javax.swing.JButton kembali;
    private javax.swing.JRadioButton nis;
    private javax.swing.JTextField no_anggota;
    private javax.swing.JRadioButton semua;
    private javax.swing.JTable tblagt;
    // End of variables declaration//GEN-END:variables
}
